Bug 1475026 - Please better document base.group_install API change
Please better document base.group_install API change
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 17:20 EDT by Jason Tibbitts
Modified: 2018-05-29 08:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:00:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2017-07-25 17:20:50 EDT
There was a bit of compat code from upstream commit fdacdb85533721396789c6185b06a3a1e8148292 which went away in dnf-2 that allowed base.group_install to accept a base.comp.Group object as its first argument instead of a string.  Unfortunately the "Changes in DNF-2 compared to DNF-1" document says only:

"
Following API methods accept different arguments
[...]
    dnf.Base.group_install()
"

I had assumed that the change was only the addition of the third optional argument, but it's actually a bit more significant and unfortunately this broke Ansible's DNF module.

I guess there's no undoing the change, but it would be nice to have it more fully documented.  I'd argue that a warning on the improper API usage would have been good as well, but it's a bit late for that now.
Comment 1 Fedora End Of Life 2018-05-03 04:35:41 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2018-05-29 08:00:13 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.